## django-background-tasks 1.1.11

=== requirements.txt ===
django-compat>=1.0.13
six

=== debian/changelog ===
django-background-tasks (1.1.11-1) unstable; urgency=low

  * Initial release (Closes: #876784)

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 04 Jan 2018 12:15:10 +0000

=== debian/control ===
Source: django-background-tasks
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Hans-Christoph Steiner <hans@eds.org>
Build-Depends: debhelper (>=9),
               dh-python,
               python3-all,
               python3-django (>= 1.4),
               python3-mock,
               python3-setuptools,
Standards-Version: 4.1.3
Homepage: https://github.com/ierror/django-background-tasks
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-background-tasks.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/django-background-tasks.git

Package: python3-django-background-tasks
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-django (>= 1.4)
Description: databased-backed work queue for Django
 Django Background Task is a databased-backed work queue for Django,
 loosely based around Ruby's DelayedJob library. This project was
 adopted and adapted from lilspikey django-background-task.
 .
 To avoid conflicts on PyPI this packaged was renamed it to
 django-background-tasks (plural). For an easy upgrade from
 django-background-task to django-background-tasks, the internal
 module structure were left untouched.
 .
 In Django Background Task, all tasks are implemented as functions (or
 any other callable).
 .
 There are two parts to using background tasks:
  * creating the task functions and registering them with the
  * scheduler setup a cron task (or long running process) to execute the
    tasks

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=django-background-tasks

%:
	dh $@ --with python3 --buildsystem=pybuild


override_dh_auto_test:
	echo "disabling dh_auto_test until someone can setup test harness"

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/django-sass-processor/django-sass-processor-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
